Пример #1
0
    public static MText AddMtext(this BlockTableRecord btr,
                                 Point3d location,
                                 AttachmentPoint attachmentpoint,
                                 string contents,
                                 double height,
                                 short color             = 256,
                                 bool usebackgroundmask  = false,
                                 bool usebackgroundcolor = false,
                                 double backgroundscale  = 1.5)
    {
        MText mt = new MText();

        mt.SetDatabaseDefaults();
        mt.Location              = location;
        mt.Attachment            = attachmentpoint;
        mt.Contents              = contents;
        mt.Height                = height;
        mt.ColorIndex            = color;
        mt.BackgroundFill        = usebackgroundmask;
        mt.UseBackgroundColor    = usebackgroundcolor;
        mt.BackgroundScaleFactor = backgroundscale;
        btr.Add(mt);
        return(mt);
    }
Пример #2
0
 public static ObjectIdCollection AddRange(this BlockTableRecord owner, params Entity[] entities)
 {
     return(owner.Add(entities));
 }